> For the complete documentation index, see [llms.txt](https://docs.coda.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coda.co/https-coda-payments.gitbook.io-zhong-wen-coda-private-technical-documentation/codapay/codapay-jie-ru-chang-jian-wen-ti/direct-card-api.md).

# Direct Card API

1. **使用 Direct Card Integration API 时是否需要将服务器 IP 加入 Coda 的白名单？**\
   不需要，无论是正式环境还是沙盒环境，都不需要进行 IP 白名单配置。

***

2. **在 submit charge 接口中，`payment_method.card.country_code` 字段应填写什么？**\
   该值需与所使用的 Account ID 对应的国家一致。例如，如果请求来自沙特阿拉伯，应填写国家码 “SA”。

***

3. **沙盒环境是否支持模拟 3DS 验证失败的情况？**\
   目前沙盒环境不支持模拟 3DS 验证失败。不论在 3DS 页面输入什么，交易都会显示为成功状态。

***

4. **`amount_currency` 字段是否只支持本地货币？**\
   该字段支持本地货币（LCY）和美元（USD）。

***

5. **`amount_value` 字段应如何填写？**\
   该字段填写的是实际金额（literal value），而不是 ISO 4217 中定义的最小单位。\
   例如，1.00 美元应填写为 "1.00"（而不是 "100"），1 日元填写为 "1"。

***

6. **`partner_reference` 字段有长度限制吗？**\
   有，长度必须在 4 到 64 个字符之间。如不符合要求，系统会返回 400 Bad Request 错误。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.coda.co/https-coda-payments.gitbook.io-zhong-wen-coda-private-technical-documentation/codapay/codapay-jie-ru-chang-jian-wen-ti/direct-card-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
